﻿using KB2461_BindingListItemToField.Infrastructure;
using KB2461_BindingListItemToField.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KB2461_BindingListItemToField
{
	public class MainWindowViewModel : ObservableObject
	{
		private ObservableCollection<SampleDataItem> _sampleData;

		public ObservableCollection<SampleDataItem> SampleData
		{
			get { return _sampleData; }
			set { _sampleData = value; OnPropertyChanged(); }
		}

		public MainWindowViewModel()
		{
			_sampleData = new ObservableCollection<SampleDataItem>();
			for (int i = 0; i < 5; i++)
			{
				_sampleData.Add(new SampleDataItem() { Name = "Name " + i.ToString(), Children = new ObservableCollection<SampleDataItem>() });
				for (int j = 0; j < 4; j++)
				{
					_sampleData[i].Children.Add(new SampleDataItem() { Name = "Child " + j.ToString() + " of Name " + i.ToString(), Children = null });
				}
			}
		}
	}
}
